<div class="carded">
    <div class="top-bg warn"></div>

    <div class="center">
        <div class="header">
            <h2 primary>Listado de Prorrateos en Urbanizaciones</h2>           
        </div>

        <div class="content-card">
            <perfect-scrollbar>
                <mat-table [dataSource]="dataSource" matSort class="vertical-fit">
                    <ng-container matColumnDef="idprorrateo_urb_cerr">
                        <mat-header-cell *matHeaderCellDef> Código </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.idprorrateo_urb_cerr }} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="nombre">
                        <mat-header-cell *matHeaderCellDef> Nombre </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.nombre}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="uv">
                        <mat-header-cell *matHeaderCellDef> Uv </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.uv}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="superficie_total">
                        <mat-header-cell *matHeaderCellDef> Superficie Total </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.superficie_total}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="detalle">
                        <mat-header-cell *matHeaderCellDef> Detalle </mat-header-cell>
                       
                        <mat-cell *matCellDef="let element" >                            
                            <a 
                                [routerLink]="['../urbanizacion-detalle', element.idprorrateo_urb_cerr]">
                            Ver Detalle
                            </a>
                        </mat-cell>
                    </ng-container>
                    
                    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                    <mat-row *matRowDef="let row; columns: displayedColumns;" (click)="onLineamientoDetailNavigate(row)"></mat-row>
                </mat-table>
            </perfect-scrollbar>

            <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
        </div>
    </div>
</div>